package com.ssj.service.sys.fx.service.impl;

import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;

import com.ssj.bean.sys.fx.domain.MerchantMealOrder;
import com.ssj.dao.sys.fx.dao.FxQueryDao;
import com.ssj.dao.sys.fx.dao.MerchantMealOrderDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.framework.core.persistence.DynamicSpecifications;
import com.ssj.framework.core.persistence.SearchFilter;
import com.ssj.service.sys.fx.service.MerchantMealOrderService;
import com.ssj.service.sys.fx.service.MerchantService;
import com.ssj.service.weixin.sales.service.LibVipServiceService;

@Service
public class MerchantMealOrderServiceImpl extends BaseServiceImpl<MerchantMealOrder, String> implements MerchantMealOrderService {

	private Logger logger = LoggerFactory.getLogger(this.getClass());
	
	@Autowired
	private MerchantMealOrderDao dao;
	
	@Autowired
	private MerchantService merchantService;
	
	@Autowired
	private LibVipServiceService libVipServiceService;
	
    @Autowired
    private FxQueryDao queryDao;

	@Override
	public PagingAndSortingRepository<MerchantMealOrder, String> getDao() {
		return dao;
	}

	@Override
	public List<MerchantMealOrder> findMerchantMealOrderAll(String merchantId) {
		return dao.findMerchantMealOrderAll(merchantId);
	}

	@Override
	public MerchantMealOrder getMerchantMealOrderByCurTime(String merchantId) {
		return dao.getMerchantMealOrderByCurTime(merchantId);
	}

	@Override
	public MerchantMealOrder getMerchantMealOrderByMaxCreateTime(String merchantId) {
		return dao.getMerchantMealOrderByMaxCreateTime(merchantId);
	}

	@Override
	public Page<Map<String, Object>> findMerchantMealOrderByPage(Map<String, Object> params, Pageable initPage) {
		return queryDao.findMerchantMealOrderPage(params, initPage);
	}
	


}


